Page MenuHomePhabricator

P777 Swedish civil parish code/ATA code need care
Closed, InvalidPublic

Description

Feels like the Swedish civil parish code/ATA code P777 need some care see also T214288

Next suggested steps:

SPARQL to understand the diff

In Wikidata The property Ksamsök Property 1260 has been added to just some "socknar" but no one seems to understand why and why we have a diff between Ksamsök and the document raa/130

Lesson learned:

  • RAÄ documents seems lack version number
  • Ksamsök has RDF files without description, version number and no documentation that this is a subset of raa/130
  • dataset Sweden, parish - http://kulturnav.org is referring to both the Ksamsök file and the RAÄ document and it looks they think its the same...
  • story told is that LM should publish something 2019 see T214288 and that will be the new "official list"
  • the KSAMSÖK property with value resurser/aukt/geo/parish# should not be in Wikidata it just adds confusion it should be deleted. If the purpose is to do SPARQL with the subset "socknar" Ksamsök have themself then it's better they join with this subset instead of marking all entries in another database with something that is not logical/make sense
    • to make Ksamsök a good member of the Linked data community they need

Example Q10670562 what was added 25 maj 2019 kl. 19.49‎

Some SPARQL

Dataset Sweden, parish - http://kulturnav.org

See http://kulturnav.org/d8d7f456-2ca4-49a5-a624-c5cf378417e7

very confusing I guess everyone believe RAÄ has one list with "socknar" not as today that K-samsök is a subset and miss Falköping Östra 3028

Event Timeline

Salgo60 created this task.Jul 9 2019, 6:16 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 9 2019, 7:51 AM
Salgo60 added a comment.EditedJul 9 2019, 7:57 AM

--> correct in Wikidata

If we check http://kulturarvsdata.se/resurser/aukt/geo/parish

the only Falköping has Parish code 1885 --> WD Q10493763

To confuse more we check Falköping = Tora 7987 then we get in https://data.riksarkivet.se/tora/7987

Parish looks like is church parish. If we check SE/168600002 it is Falköpings stad and makes sense and is same as WD Q10493760 that has SCB Regina code 149901 --> Map

Why make it simple ;-)

Salgo60 updated the task description. (Show Details)Jul 9 2019, 8:08 AM
Salgo60 updated the task description. (Show Details)Jul 9 2019, 11:56 AM
Salgo60 updated the task description. (Show Details)Jul 10 2019, 11:46 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 10 2019, 11:55 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 10 2019, 3:57 PM
Salgo60 updated the task description. (Show Details)Jul 11 2019, 2:23 AM
Abbe98 added a subscriber: Abbe98.Jul 11 2019, 9:11 AM

@Salgo60 Phabricator is not a place for your personal opinion nor a place for your feedback to a government agency. You know from the ongoing discussion on this subject that there is no consensus on this subject in your favor. Please do not try to run people over by moving the discussion here.

Abbe98 closed this task as Invalid.Jul 11 2019, 9:11 AM
Salgo60 added a comment.EditedJul 11 2019, 1:18 PM

Linked data needs mature data management and version control, that is my point.

Please explain what consensus you miss... and how you give feedback to a government agency that underachieve....

Salgo60 added a comment.EditedOct 5 2019, 6:41 AM

Pattern that can be used by Ksamsök to make the rdf file easier to understand

https://twitter.com/datapatterns/status/1180369625663578113?s=21

Abbe98 removed a subscriber: Abbe98.Oct 5 2019, 7:23 PM
Abbe98 closed this task as Invalid.Oct 14 2019, 4:30 PM
Salgo60 reopened this task as Stalled.Oct 14 2019, 4:31 PM
Salgo60 added a comment.EditedOct 14 2019, 4:35 PM

See also T233275 were we also have Property 777 and connected to Wikidata link

best would be if we could understand what is the relation between

  • TORA parishes
  • Wikidata pariskes
  • KSAMSÖK parishes
  • Kulturnav parishes

Also new Property 7434 created

Abbe98 closed this task as Invalid.Oct 15 2019, 3:23 PM
Salgo60 reopened this task as Stalled.Oct 15 2019, 3:23 PM

@Salgo60 I will now close this issue again.

This issue sits in a board "Input Riksantikvarieämbetet", it discusses K-samsök. Riksarkivet and RAÄ/K-samsök knows how our parish data relates to each others.

I'm the person responsible for for K-samsök in this case and you and I have been discussing this many times. I will now close this issue as it fails to define a clear issue. Please do not open it again.

Abbe98 closed this task as Invalid.Oct 18 2019, 3:45 PM
Salgo60 added a subscriber: Abbe98.Oct 18 2019, 3:53 PM

Re @Abbe98

  • Please document it and give us a link so that also we understand it. Linked data is based on mutual understanding....
  • Best is if you update the RDF to make it more understandable maybe use the topic relation pattern
  • Will you add TORA or any other external identifiers please let us know....
  • Any workaround planned so links will work in Wikidata eg. Söderala församling now has kulturarvsdata aukt/geo/parish#2439 as nonworking link
Abbe98 added a comment.EditedOct 18 2019, 4:08 PM
  1. No one else has asked for additional documentation. Regarding these URIs we have only had minor support questions.
  2. No that is not good practice in this case, but the modeling will be updated with owl:sameAs statements(see below).
  3. Yes we will add Wikidata identifiers to support de-referencing by Europeana, if nothing unexpected comes up this will happen during November or early December.
  4. No that's an issue with Wikidata, the link is correct but Wikidata incorrectly encodes it.

Thanks lesson learned is Wikidata Q number is not stable. Depends on your user case maybe you need to update the value

@Salgo60 merged items in Wikidata gets sameAs statements and are redirected. Tora does not contain all of the parishes in K-samsök and would not be suitable for our Europeana use case.

Salgo60 added a comment.EditedOct 18 2019, 5:38 PM

Yes but if you will use the Wikidata Q number for checking same as with e.g. TORA its good if you both has the latest.... My feeling is that Wikidata Qnumber is very unstable so better use "sockencode" or TORA id

Bloodhound tries to be in synch , GITHUB

That's one of the use cases for Wikidata. As I say Tora does not match our use cases at all.